#!/usr/bin/env python
# -*- encoding: utf-8 -*-
"""
@Contact :   liuyuqi.gov@msn.cn
@Time    :   2024/04/09 20:21:15
@License :   Copyright © 2017-2022 liuyuqi. All Rights Reserved.
@Desc    :   user model
"""

from fgh import db

class UserModel(db.Model):
    __tablename__ = 'user'

    id = db.Column(db.Integer, primary_key=True)
    username = db.Column(db.String(64), unique=True)
    password = db.Column(db.String(64))
    email = db.Column(db.String(64), unique=True)
    phone = db.Column(db.String(64), unique=True)
    role = db.Column(db.String(64))

    def __repr__(self):
        return '<User %r>' % self.username