import sys  
import os  
   
def get_app_path() -> str:  
    """Returns the base application path."""  
    if hasattr(sys, 'frozen'):  
        # Handles PyInstaller  
        return os.path.dirname(sys.executable)  #使用 pyinstaller 打包后的 exe 目录  
    return os.path.dirname(os.path.dirname(os.path.dirname(__file__))) # 没打包前的py目录
