#!/usr/bin/env python
# -*- encoding: utf-8 -*-
"""
@Contact :   liuyuqi.gov@msn.cn
@Time    :   2024/04/09 20:15:48
@License :   Copyright © 2017-2022 liuyuqi. All Rights Reserved.
@Desc    :   
"""
import re

# exp1 匹配 GitHub 仓库的 releases 或 archive 页面的 URL；
# exp2 匹配 GitHub 仓库的 blob 或 raw 页面的 URL；
# exp3 匹配 GitHub 仓库的 info 或 git- 页面的 URL；
# exp4 匹配 GitHub 的 raw.githubusercontent.com 或 raw.github.com 链接的 URL；
# exp5 匹配 gist.githubusercontent.com 或 gist.github.com 链接的 URL。
exp1 = re.compile(r'^(?:https?://)?github\.com/(?P<author>.+?)/(?P<repo>.+?)/(?:releases|archive)/.*$')
exp2 = re.compile(r'^(?:https?://)?github\.com/(?P<author>.+?)/(?P<repo>.+?)/(?:blob|raw)/.*$')
exp3 = re.compile(r'^(?:https?://)?github\.com/(?P<author>.+?)/(?P<repo>.+?)/(?:info|git-).*$')
exp4 = re.compile(r'^(?:https?://)?raw\.(?:githubusercontent|github)\.com/(?P<author>.+?)/(?P<repo>.+?)/.+?/.+$')
exp5 = re.compile(r'^(?:https?://)?gist\.(?:githubusercontent|github)\.com/(?P<author>.+?)/.+?/.+$')


